import { jsx } from "react/jsx-runtime";
import { TokenFCON as TokenFCON$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFCON = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FCON", "data-name": "TokenFCON", ...props, children: /* @__PURE__ */ jsx(TokenFCON$1, { variant }) });
  }
);
TokenFCON.displayName = "TokenFCON";
Object.assign(TokenFCON, { isGdsIcon: true });
export {
  TokenFCON
};
